APIs / Airbnb / Search

Airbnb: Search

Search from Airbnb as JSON. 1 credit per successful call.

GET /v1/airbnb/search

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
placestringRequiredUp to 100 characters
checkinstringOptionalAny
checkoutstringOptionalAny
adultsintegerOptionalAny
childrenintegerOptionalAny
infantsintegerOptionalAny
petsintegerOptionalAny
currencystringOptionalAny
price_maxintegerOptionalAny
room_typestringOptionalentire_home, private_room, hotel_room
cursorstringOptionalUp to 200 characters

Example request

Airbnb
GET/v1/airbnb/search?place=Paris--France&checkin=2026-11-10&checkout=2026-11-14&adults=2&currency=EUR
{
  "success": true,
  "data": {
    "place": "Paris, France",
    "results": [
      {
        "id": "1669612146929039736",
        "url": "https://www.airbnb.com/rooms/1669612146929039736",
        "title": "Apartment in Paris",
        "name": "Stylish 1-Bedroom/2-Person Apartment – Beaugrenelle",
        "subtitle": "Bright 6th-floor stay near the Eiffel Tower, with a balcony and a private entrance",
        "rating": 5,
        "review_count": 17,
        "price": {
          "amount": 714,
          "currency": "EUR",
          "nights": 4,
          "qualifier": "for 4 nights"
        },
        "price_breakdown": [
          {
            "description": "4 nights x €178.34",
            "amount": 713.37
          }
        ],
        "bedrooms": 1,
        "beds": 1,
        "bathrooms": 1,
        "latitude": 48.84223,
        "longitude": 2.29241,
        "badges": [
          "Guest favorite"
        ],
        "images": [
          "https://a0.muscache.com/im/pictures/hosting/Hosting-1669612146929039736/original/053b1768-c702-49bf-9b31-d0b00b51260b.jpeg",
          "https://a0.muscache.com/im/pictures/hosting/Hosting-1669612146929039736/original/5ca917a8-cc14-48aa-9f76-f07a991a7f7a.jpeg",
          "https://a0.muscache.com/im/pictures/hosting/Hosting-1669612146929039736/original/8212d4d8-b4f5-47b7-9b0c-5f83bcfeb804.jpeg"
        ]
      },
      {
        "id": "1789244334462111444",
        "url": "https://www.airbnb.com/rooms/1789244334462111444",
        "title": "Apartment in Paris",
        "name": "1-bedroom Parisian apartment in the center ",
        "subtitle": "Tasteful Parisian flat in the Latin Quarter, near Place Monge and Rue Mouffetard",
        "price": {
          "amount": 765,
          "currency": "EUR",
          "nights": 4,
          "qualifier": "for 4 nights"
        },
        "price_breakdown": [
          {
            "description": "4 nights x €191.25",
            "amount": 765
          }
        ],
        "bedrooms": 1,
        "beds": 2,
        "bathrooms": 1,
        "latitude": 48.8419,
        "longitude": 2.3529,
        "images": [
          "https://a0.muscache.com/im/pictures/hosting/Hosting-1789244334462111444/original/7ad0a21c-dc61-4f7b-9c45-9c99ec24158d.jpeg",
          "https://a0.muscache.com/im/pictures/hosting/Hosting-1789244334462111444/original/68dc68c0-4513-46eb-a8fa-304c27f44d8c.jpeg",
          "https://a0.muscache.com/im/pictures/hosting/Hosting-1789244334462111444/original/445f921f-1ea9-4fbe-a013-c75704db10a9.jpeg"
        ]
      },
      {
        "id": "42040070",
        "url": "https://www.airbnb.com/rooms/42040070",
        "title": "Apartment in Paris",
        "name": "21 Eiffel Tower Apartment for 2 people",
        "subtitle": "Decorator-renovated hideaway, 1 min from the metro, with a private entrance",
        "rating": 4.81,
        "review_count": 212,
        "price": {
          "amount": 435,
          "currency": "EUR",
          "nights": 4,
          "qualifier": "for 4 nights"
        },
        "price_breakdown": [
          {
            "description": "4 nights x €108.75",
            "amount": 435
          }
        ],
        "beds": 1,
        "bathrooms": 1.5,
        "latitude": 48.84118,
        "longitude": 2.30754,
        "badges": [
          "Guest favorite"
        ],
        "images": [
          "https://a0.muscache.com/im/pictures/b4c186f7-1085-4d98-97cd-9f10e29f7970.jpg",
          "https://a0.muscache.com/im/pictures/43244eb7-f2a8-4f0b-9fd8-b515d01b861b.jpg",
          "https://a0.muscache.com/im/pictures/857eece6-5076-4f55-a492-d7c72d1a73bb.jpg"
        ]
      }
    ],
    "has_more": true,
    "next_cursor": "eyJzZWN0aW9uX29mZnNldCI6MCwiaXRlbXNfb2Zmc2V0IjoxOCwidmVyc2lvbiI6MX0="
  },
  "meta": {
    "endpoint_family": "stay_search",
    "billable": true
  }
}
200 OKJSONX-Credits-Used: 1
Recorded from our API and shortened.

Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.